petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsInsertString

Inserts options into the database from a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInsertString(PetscOptions options,const char in_str[])

Not collective: but only processes that call this routine will set the options Many brincluded in the string Many br

### Input Parameter

in_str -string that contains options separated by blanks Many br

Many br

Contributed by Boyana Norris Many br

### See Also

PetscOptionsSetValue(), PetscOptionsView(), PetscOptionsHasName(), PetscOptionsGetInt(),
PetscOptionsGetReal(), PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList(), PetscOptionsInsertFile() Many br

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html